#
# intr01.rb
#
# $Id: intr01.rb,v 1.2 2000/11/27 01:53:57 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


N = 12

rx = [0, 1, 2, 999, 4, 3, 999, 999, 0, -1, -2, 999].collect{|i| i.to_f}

printf " LIST OF RX : %s\n", "%5.0f"*N % rx.to_a
rx = DCL::vrintr(rx, N, 1)
print " AFTER CALLING VRINTR(RX,12,1)\n"
printf " LIST OF RX : %s\n", "%5.0f"*N % rx.to_a

